import http from './interface'

// 更改信息
export const update = (data) => {
    return http.request({
        url: '/mall/user/my/update',
        method: 'POST', 
        data
    })
}

// 获取信息
export const getInfo = (data) => {
    return http.request({
        url: '/mall/user/my/info',
        method: 'GET', 
        data
    })
}

// 发送老手机号验证码
export const mineCode = (data) => {
    return http.request({
        url: '/mall/user/send',
        method: 'GET', 
        data
    })
}
// 验证老手机号验证码
export const verifyCode = (data) => {
    return http.request({
        url: '/mall/user/phone/send', 
        method: 'POST', 
         data
    }) 
}
// 验证操作密码
export const verifyPwd = (data) => {
    return http.request({
        url: '/mall/user/my/pwd/check', 
        method: 'POST', 
        data
    })
}
// 反馈
export const feedBack = (data) => {
    return http.request({
        url: '/mall/feedback/create',
        method: 'POST', 
        data
    })
}

// 我的艺术品列表
export const  paymentList= (data) => {
    return http.request({
        url: '/mall/payment/list',
        method: 'POST', 
        data
    })
}

// 艺术品详情
export const  paymentDetail= (data) => {
    return http.request({
        url: '/mall/payment/detail',
        method: 'POST', 
        data
    })
}

// 申请快递
export const  paymentApproval= (data) => {
    return http.request({
        url: '/mall/payment/material/approval',
        method: 'POST', 
        data
    })
}

// 获取证书
export const  certDetail= (data) => {
    return http.request({
        url: '/mall/cert/detail',
        method: 'POST', 
        data
    })
}

export const logout =(data) => {
    return http.request({
        url:'/mall/user/my/delete',
        method:'POST',
        data
    })
}
export default {
    update,
	getInfo,
	mineCode,
	verifyCode,
	verifyPwd,
	feedBack,
	paymentList,
	paymentDetail,
	paymentApproval,
	certDetail,
    logout
}